Bug 174325 - Review Request: mod_spin Apache module
Review Request: mod_spin Apache module
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://www.rexursive.com/software/mod...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-27 19:32 EST by Bojan Smojver
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 17:01:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed spec file (8.54 KB, text/plain)
2005-11-28 05:49 EST, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2005-11-27 19:32:30 EST
Spec Name or Url: ftp://ftp.rexursive.com/pub/mod-spin/mod_spin-1.1.0.tar.bz2

SRPM Name or Url: ftp://ftp.rexursive.com/pub/mod-spin/mod_spin-1.1.0-1.FC4.src.rpm

Description:
mod_spin is an Apache module that provides (in conjunction with some other
modules) a simple template language with data replacement capabilities only,
persistent application and session data tracking, dynamic linking of
applications into Apache 2 as shared libraries, parameters, cookies and
multipart/form data parsing via libapreq2, simple API for (kind of) MVC
controller functionality and simple API for pooled (or not) access to SQL
databases.

PS. The spec file is packaged within the tarball, so one doesn't really need the SRPM at all. It is just there for convenience. The SRPM was labelled FC4 by the build process on my local sysetm and it should disapper when the build is executed in the Red Hat build system (i.e. it uses the beehive thingy to distinguish if it needs to add the distro stamp or not).
Comment 1 Bojan Smojver 2005-11-27 19:34:37 EST
This is my first package submitted to Extras, so I will have to have a sponsor,
if this is to go through.
Comment 2 Konstantin Ryabitsev 2005-11-27 21:37:49 EST
I'll take a look at this on Monday.
Comment 3 Michael A. Peters 2005-11-27 22:14:59 EST
Just some notes -

1) You might want to use %{?dist} instead of the erelease stuff for the Extras
package.

2) The explicit requires on mysql, postgresql-libs, libxml2 should be dropped.
They will be picked up by rpm library resolution.

3) %post on devel requires that the documentation be installed for the packages
the it queries within the post script.
Comment 4 Bojan Smojver 2005-11-27 22:47:12 EST
1) Check. Will change. Saves a few cycles too :-)

2) Check. Will change. Hangover from olden days - sorry :-(

3) True. libapreq2-devel package, which is a dependency for mod_spin-devel
contains the docs. However, I can make it more conditional (i.e. only process if
I actually find the stuff in there). Is that what you meant?

PS. Thank you kindly for reviewing the package so quicly.
Comment 5 Bojan Smojver 2005-11-28 05:49:24 EST
Created attachment 121535 [details]
Proposed spec file
Comment 6 Bojan Smojver 2005-11-28 05:58:31 EST
1) I made some changes in the attached spec file (but didn't test yet) to this
effect:

  - if inside RH build (i.e. beehive), don't use erelease at all
  - if there is %{?dist}, use it
  - otherwise, fallback to LSB method

There are people that want to grab the tarball and roll their own RPMS (they
could be on a different distro). With this code in, they get their stuff the way
it should be and Extras doesn't get upset by it at all (i.e. it is completely
ignored). And, I get to maintain one source for the spec file only. Hope this
makes sense.

2) Made the changes.

3) I checked what's going on there and these docs are always shipped with
mod_spin-devel dependencies (APR, APU and libapre2 devel packages). However, I
modified the code to do a few more checks before it goes ahead with local URLs.
Anyhow, even if it does go ahead, damage is not critical - the only effect is
that Net URLs get replaced with local ones, which may not work if dependencies
are broken (which should NOT be a normal state of the RPM database anyway). The
only other thing that the script does is reset of SELinux contexts, so that "rpm
--verify mod_spin-devel" doesn't go crazy with meaningless context failures.
Hope this makes sense too.
Comment 7 Bojan Smojver 2005-11-29 00:48:37 EST
More in relation to 1).

I see from here: http://fedoraproject.org/wiki/Extras/BuildRequests that having
%{?dist} is encouraged. I'll drop the beehive bit and report back when it's done.
Comment 8 Bojan Smojver 2005-11-29 05:05:47 EST
OK, here is the latest spec file:

http://www.rexursive.com/svn/mod_spin/trunk/mod_spin.spec.in

Sorry about so many iterations :-(
Comment 9 Bojan Smojver 2005-12-02 22:05:01 EST
FYI: Just compiled mod_spin trunk against Apache 2.2.0 (not packaged). No
issues, runs fine too. So, when 2.2 becomes part of Rawhide, we should be really
close.
Comment 10 Bojan Smojver 2005-12-15 01:00:42 EST
The upcoming mod_spin 1.1.1 (I'm planning to release it when this review is
over, with all the suggestions incorporated) builds fine on my Rawhide system
against Apache 2.2.0 and libapreq2 RPMS.
Comment 11 Ville Skyttä 2005-12-27 17:49:37 EST
FYI to reviewers: I'm going to sponsor Bojan for libapreq2 maintenance in
Extras, and as far as I'm concerned, this package can thus be reviewed by a
non-sponsor contributor. (Hi mpeters, icon... ;)).
Comment 12 Mike McGrath 2006-02-13 16:04:08 EST
Bojan, I see your comment #6 but if you do want this to be in Extras you're
going to need to submit an actual SPEC file.  SPEC files are stored in the CVS
repository.  I can't do a valid review without the spec file.

If you don't want it in Extras and are just looking for input about your SPEC
file please list that in this bug somewhere.
Comment 13 Bojan Smojver 2006-02-13 17:14:38 EST
OK. I'll make a new release and then I'll submit the new spec file. Sorry about
the misunderstanding :-(
Comment 14 Bojan Smojver 2006-02-15 22:24:18 EST
Sorry about the delay Mike. I'm not sure when I'll be able to do this - really
tight schedule these days...

But don't worry, it's not very urgent anyway. Will keep you posted.
Comment 15 Bojan Smojver 2006-03-06 17:01:50 EST
The latest development code of mod_spin uses patched APR Util that isn't
available in FC yet (heck, it's not even in APR Subversion repository yet :-),
so I'll defer this one until the underlying code is ready.

Thanks everyone for their help.

Note You need to log in before you can comment on or make changes to this bug.